CCU Assignment Panel

CTA CCU Assignment

Description

Ten Philips Camera Control Units (CCU) are installed in the central technical area (CTA). These are shared between the two SD-SDI studios (Studio A and Studio C) as required by training events. The SDI output goes via one or more routers to the mixer inputs. The cue directors in each studio must know which CCU units are allocated to their mixers so that they correctly generate on-air tally. The allocation of each CCU stored in the Tally Infodriver using slots 11 (CCU 1) to 20 (CCU 10)

Only unassigned CCU units may be allocated to a studio. If a CCU is already allocated to the alternate studio, the camera must first be unassigned.

The code for this program does not know which Tally Infodriver slots are used. The allocation status button on the visual interface is assigned to the slot via the an entry in the instances.xml file. When the code for this panel sends the new allocation id value to the status button, this updates the associated Tally Infodriver Slot.
Copyright BBC 2016